Upgrade of AIX 5.3 to AIX 6.1 broke tacmd

Technote (troubleshooting)


Problem(Abstract)

An AIX Operating system was upgraded from AIX 5.3 to AIX 6.1 and changed from 32 Bit to 64 Bit

Symptom

host:/ -> tacmd login -s localhost -u itmuser -t 1440
Could not load program /opt/IBM/ITM/aix526/ue/bin/tacmd:
Could not load module /opt/IBM/ITM/aix526/ue/lib/libkglbase.a.
Dependent module libgsk7iccs_64.so could not be loaded.
Could not load module libgsk7iccs_64.so.
System error: No such file or directory
Could not load module tacmd.
Dependent module /opt/IBM/ITM/aix526/ue/lib/libkglbase.a could
not be loaded.
Could not load module .


Cause

ITM was installed with 32 Bit architecture. The links for the 64 Bit Shard Library components do not exist.

Environment

The UNIX environment was changed from 32 Bit to 64 Bit architecture, during an Operating System Upgrade.

Diagnosing the problem

The ITM programs fail to resolve the 64 bit shared library calls resulting in error messages .

Resolving the problem

The IBM Tivoli Monitoring components must be re installed, selecting the 64 Bit environment.

Rate this page:

(0 users)Average rating

Document information


More support for:

Tivoli Components
ITM Tivoli Enterprise Mgmt Server V6

Software version:

All Versions, Version Independent

Operating system(s):

AIX

Reference #:

1596457

Modified date:

2014-10-21

Translate my page

Machine Translation

Content navigation